Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.context
Class ContextInitParameters

    java.lang.Object
      org.ajax4jsf.context.ContextInitParameters

    public final class ContextInitParameters

extends java.lang.Object

This class hold all methods for get application init parameters. Created for single access point to all parameters - simplest for a documentation.

Author:
  asmirnov

Field Summary
`static java.lang.String` | `BASE_SKIN`
`static java.lang.String[]` | `DATATABLE_USES_VIEW_LOCALE`
`static java.lang.String` | `EXECUTE_AWT_INITIALIZER`
`static java.lang.String` | `HANDLE_VIEW_EXPIRED_ON_CLIENT` This parameter define where `ViewExpiredException` should be handled.
`static java.lang.String[]` | `QUEUE_ENABLED`
`static java.lang.String` | `RESOURCES_CACHE_SIZE`
`static java.lang.String` | `RESOURCES_TTL`
`static java.lang.String` | `SKIN` Name of web application init parameter for current skin .
`static java.lang.String` | `STATIC_RESOURCE_LOCATION`
`static java.lang.String` | `STATIC_RESOURCE_LOCATION_VARIABLE`
`static java.lang.String` | `STD_CONTROLS_SKINNING_CLASSES_PARAM`
`static java.lang.String` | `STD_CONTROLS_SKINNING_PARAM`

Method Summary
`static java.lang.Object` | `getBaseSkin(javax.faces.context.FacesContext context)`
`static int` | `getResourcesCacheSize(javax.faces.context.FacesContext context)`
`static int` | `getResourcesTimeToLive(javax.faces.context.FacesContext context)`
`static java.lang.Object` | `getSkin(javax.faces.context.FacesContext context)`
`static java.lang.String` | `getStaticResourceLocation(javax.faces.context.FacesContext context)`
`static boolean` | `isDatatableUsesViewLocale(javax.faces.context.FacesContext context)` Defines whether data table should use view root locale for sorting and filtering or the default platform one
`static boolean` | `isExecuteAWTInitializer(javax.faces.context.FacesContext context)`
`static boolean` | `isQueueEnabled(javax.faces.context.FacesContext context)`
`static boolean` | `isStandardControlSkinningClassesEnabled(javax.faces.context.FacesContext context)` Method for determining STD_CONTROLS_SKINNING_CLASSES_PARAM parameter
`static boolean` | `isStandardControlSkinningEnabled(javax.faces.context.FacesContext context)` Method for determining STD_CONTROLS_SKINNING_PARAM parameter

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATATABLE_USES_VIEW_LOCALE

    public static final java.lang.String[] DATATABLE_USES_VIEW_LOCALE

### HANDLE_VIEW_EXPIRED_ON_CLIENT

    public static final java.lang.String HANDLE_VIEW_EXPIRED_ON_CLIENT

  This parameter define where `ViewExpiredException` should be handled. If is it equals "true" , framework should proparate exception to client-side.

  See Also:
    Constant Field Values

### STD_CONTROLS_SKINNING_PARAM

    public static final java.lang.String STD_CONTROLS_SKINNING_PARAM

See Also:
  Constant Field Values

### STD_CONTROLS_SKINNING_CLASSES_PARAM

    public static final java.lang.String STD_CONTROLS_SKINNING_CLASSES_PARAM

See Also:
  Constant Field Values

### QUEUE_ENABLED

    public static final java.lang.String[] QUEUE_ENABLED

### RESOURCES_TTL

    public static final java.lang.String RESOURCES_TTL

See Also:
  Constant Field Values

### RESOURCES_CACHE_SIZE

    public static final java.lang.String RESOURCES_CACHE_SIZE

See Also:
  Constant Field Values

### SKIN

    public static final java.lang.String SKIN

  Name of web application init parameter for current skin . Can be simple String for non-modified name, or EL-expression for calculate current skin. If EL evaluated to `String` - used as skin name, if to instance of `Skin` - used this instance. by default - "org.exadel.chameleon.SKIN"

  See Also:
    Constant Field Values

### BASE_SKIN

    public static final java.lang.String BASE_SKIN

See Also:
  Constant Field Values

### STATIC_RESOURCE_LOCATION

    public static final java.lang.String STATIC_RESOURCE_LOCATION

See Also:
  Constant Field Values

### STATIC_RESOURCE_LOCATION_VARIABLE

    public static final java.lang.String STATIC_RESOURCE_LOCATION_VARIABLE

See Also:
  Constant Field Values

### EXECUTE_AWT_INITIALIZER

    public static final java.lang.String EXECUTE_AWT_INITIALIZER

See Also:
  Constant Field Values

Method Detail

### isDatatableUsesViewLocale

    public static boolean isDatatableUsesViewLocale(javax.faces.context.FacesContext context)

  Defines whether data table should use view root locale for sorting and filtering or the default platform one

  Parameters:
    `context` -
  Returns:

### isQueueEnabled

    public static boolean isQueueEnabled(javax.faces.context.FacesContext context)

### isStandardControlSkinningEnabled

    public static boolean isStandardControlSkinningEnabled(javax.faces.context.FacesContext context)

  Method for determining STD_CONTROLS_SKINNING_PARAM parameter

  Parameters:
    `context` -
  Returns:
    value of STD_CONTROLS_SKINNING_PARAM parameter if present.

### getResourcesTimeToLive

    public static int getResourcesTimeToLive(javax.faces.context.FacesContext context)

### getResourcesCacheSize

    public static int getResourcesCacheSize(javax.faces.context.FacesContext context)

### isStandardControlSkinningClassesEnabled

    public static boolean isStandardControlSkinningClassesEnabled(javax.faces.context.FacesContext context)

  Method for determining STD_CONTROLS_SKINNING_CLASSES_PARAM parameter

  Parameters:
    `context` -
  Returns:
    value of STD_CONTROLS_SKINNING_CLASSES_PARAM parameter if present.

### getSkin

    public static java.lang.Object getSkin(javax.faces.context.FacesContext context)

### getBaseSkin

    public static java.lang.Object getBaseSkin(javax.faces.context.FacesContext context)

### getStaticResourceLocation

    public static java.lang.String getStaticResourceLocation(javax.faces.context.FacesContext context)

### isExecuteAWTInitializer

    public static boolean isExecuteAWTInitializer(javax.faces.context.FacesContext context)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.